# $Revision: 1.22 $, $Date: 2009/11/12 11:29:39 $
Summary:	Xfontcache - X-TrueType font cache extension client library
Summary(pl.UTF-8):	Xfontcache - biblioteka kliencka rozszerzenia cache'u fontów X-TrueType
Name:		xorg-lib-libXfontcache
Version:	1.0.5
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXfontcache-%{version}.tar.bz2
# Source0-md5:	bbd37768c87f63cf2eb845b2c0f56515
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-fontcacheproto-devel
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xfontcache is an X-TrueType font cache extension client library.

%description -l pl.UTF-8
Xfontcache to biblioteka kliencka rozszerzenia cache'u fontów
X-TrueType.

%package devel
Summary:	Header files for libXfontcache library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXfontcache
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-proto-fontcacheproto-devel
Requires:	xorg-lib-libXext-devel

%description devel
Xfontcache is an X-TrueType font cache extension client library.

This package contains the header files needed to develop programs that
use libXfontcache.

%description devel -l pl.UTF-8
Xfontcache to biblioteka kliencka rozszerzenia cache'u fontów
X-TrueType.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXfontcache.

%package static
Summary:	Static libXfontcache library
Summary(pl.UTF-8):	Biblioteka statyczna libXfontcache
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Xfontcache is an X-TrueType font cache extension client library.

This package contains the static libXfontcache library.

%description static -l pl.UTF-8
Xfontcache to biblioteka kliencka rozszerzenia cache'u fontów
X-TrueType.

Pakiet zawiera statyczną bibliotekę libXfontcache.

%prep
%setup -q -n libXfontcache-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXfontcache.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXfontcache.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXfontcache.so
%{_libdir}/libXfontcache.la
%{_pkgconfigdir}/xfontcache.pc
%{_mandir}/man3/FontCache*.3x*
%{_mandir}/man3/Xfontcache.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXfontcache.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXfontcache.spec,v $
Revision 1.22  2009/11/12 11:29:39  patrys
- rebuild
- rel 2

Revision 1.21  2009/10/09 14:50:23  qboosh
- updated util-macros version
- ghost soname symlink
- added README to doc, more verbose files and descs

Revision 1.20  2009/10/09 05:05:50  arekm
- up to 1.0.5

Revision 1.19  2008/11/05 23:29:56  arekm
- release 3

Revision 1.18  2008/07/27 23:05:46  arekm
- release 2

Revision 1.17  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.15  2006/12/16 15:16:05  arekm
- up to 1.0.4

Revision 1.14  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.13  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.12  2006/10/14 15:16:53  qboosh
- updated to 1.0.3, release 1

Revision 1.11  2006/04/27 06:55:55  arekm
- up to 1.0.2

Revision 1.10  2005/12/28 11:08:24  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.9  2005/12/20 12:45:47  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.8  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.7  2005/12/04 11:17:32  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.6  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.5  2005/10/20 20:00:35  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Fri Aug 12 2005 23:47:15  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- removed redundant BR: libX11-devel, xextproto-devel
- removed redundant R: libX11-devel, xextproto-devel from devel
- release 0.03

* Fri Aug 12 2005 10:35:25  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %{_prefix}
- added %%doc
- release 0.02

* Fri Aug  5 2005 14:00:58  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
